Content / REST API
Save content creator inspiration
Resolve and save a LinkedIn creator and structural guidance for the selected author. No following, publishing or automatic post import.
PUT /api/content/author-context/creatorsDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
creatorUrlRequired · string- See the input schema for this field.
learnFromRequired · string- See the input schema for this field.
avoidRequired · string- See the input schema for this field.
exampleIdsRequired · array- See the input schema for this field.
voiceIdRequired · string- See the input schema for this field.
linkedinAccountIdRequired · string- See the input schema for this field.
legacyIdOptional · string- See the input schema for this field.
idOptional · string- See the input schema for this field.
curl -X PUT "https://app.pipeline.help/api/content/author-context/creators" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"creatorUrl":"https://example.com","learnFrom":"example","avoid":"00000000-0000-4000-8000-000000000000","exampleIds":["00000000-0000-4000-8000-000000000000"],"voiceId":"00000000-0000-4000-8000-000000000000","linkedinAccountId":"00000000-0000-4000-8000-000000000000"}'Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string",
"format": "uuid"
},
"creatorUrl": {
"type": "string"
},
"learnFrom": {
"type": "string"
},
"avoid": {
"type": "string"
},
"exampleIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"maxItems": 20
},
"voiceId": {
"type": "string",
"format": "uuid"
},
"linkedinAccountId": {
"type": "string",
"format": "uuid"
},
"legacyId": {
"type": "string",
"format": "uuid"
},
"id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"creatorUrl",
"learnFrom",
"avoid",
"exampleIds",
"voiceId",
"linkedinAccountId"
]
}